Loading...
Searching...
No Matches
OpenGridType< BuildT > Struct Template Reference

Grid trait that defines OpenVDB grids with the exact same configuration as NanoVDB grids. More...

`#include <nanovdb/util/OpenToNanoVDB.h>`

## Public Types

using | GridT = openvdb::Grid<typename openvdb::tree::Tree4<BuildT, 5, 4, 3>::Type>
using | TreeT = typename GridT::TreeType
using | RootT = typename TreeT::RootNodeType
using | UpperT = typename RootT::ChildNodeType
using | LowerT = typename UpperT::ChildNodeType
using | LeafT = typename LowerT::ChildNodeType
using | ValueT = typename LeafT::ValueType

## Detailed Description

template<typename BuildT>
struct nanovdb::OpenGridType< BuildT >

Grid trait that defines OpenVDB grids with the exact same configuration as NanoVDB grids.

## Member Typedef Documentation

## GridT

template<typename BuildT>

using GridT = openvdb::Grid<typename openvdb::tree::Tree4<BuildT, 5, 4, 3>::Type>

## LeafT

template<typename BuildT>

using LeafT = typename LowerT::ChildNodeType

## LowerT

template<typename BuildT>

using LowerT = typename UpperT::ChildNodeType

## RootT

template<typename BuildT>

using RootT = typename TreeT::RootNodeType

## TreeT

template<typename BuildT>

using TreeT = typename GridT::TreeType

## UpperT

template<typename BuildT>

using UpperT = typename RootT::ChildNodeType

## ValueT

template<typename BuildT>

using ValueT = typename LeafT::ValueType